* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #2C59AD;
    --black: #000000;
    --white: #ffffff;
    --light-gray: #f8f9fa;
    --blue: #17255a;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.6;
    color: var(--black);
    overflow-x: hidden;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

/* Header */
.navbar {
    background: var(--white);
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

.nav-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
}


.nav-container .logo img {
    width: 150px;
}

.nav-menu {
    display: flex;
    list-style: none;
    gap: 30px;
}

.nav-link {
    text-decoration: none;
    color: var(--black);
    font-weight: 500;
    transition: color 0.3s;
    position: relative;
}

/*
.nav-link:hover, .nav-link.active {
    color: var(--primary-color);
}
    
*/

.nav-link.active::after {
    content: '';
    position: absolute;
    bottom: -5px;
    left: 0;
    width: 100%;
    height: 2px;
   /* background: var(--primary-color);*/
}

.language-switcher {
    display: flex;
    gap: 5px;
}

.lang-btn {
    background: var(--light-gray);
    border: 2px solid transparent;
    padding: 8px 12px;
    border-radius: 25px;
    cursor: pointer;
    font-size: 0.9rem;
    transition: all 0.3s;
}

.lang-btn.active,
.lang-btn:hover {
    background: var(--primary-color);
    color: var(--white);
    border-color: var(--primary-color);
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburger span {
    width: 25px;
    height: 3px;
    background: var(--black);
    margin: 3px 0;
    transition: 0.3s;
}


/*quem*/

.quem {
    padding: 80px 20px;
}

.quem .flex {
    display: flex;
    justify-content: space-evenly;
}

.quem-titulo {
    color: #17255a;
    font-size: 2.5rem;
}

.quem-img img {
    width: 340px;
    border-radius: 15px;
}

/*visao*/

.visao {
    background-color: #2C59AD;
    padding: 80px 20px;
}

.visao-h2 {
    text-align: center;
    color: white;
    font-size: 2.5rem;
    margin-bottom: 10px;
}

.visao-pp {
    color: white;
    text-align: center;
    margin-bottom: 30px;
}

.visao-p {
    color: white;
    text-align: center;
    margin-bottom: 30px;
}

.visao .flex {
    display: flex;
    justify-content: space-evenly;
}

.visao .conteudo {
    text-align: center;
}

.cartao-img img {
    width: 70px;
}

.visao-titulo {
    color: white;
}

.visao-sub {
    color: white;
}


/*diretor*/
.diretor {
    padding: 80px 20px;
}

.diretor h2 {
    color: #17255a;
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 40px;
}

.diretor .flex {
    display: flex;
    justify-content: space-evenly;
}

.diretor-titulo {
    color: #17255a;
    font-size: 2.0rem;
}

.diretor-img img {
    width: 300px;
    border-radius: 15px;
}

/* Footer */
footer {
    background: var(--black);
    color: var(--white);
    padding: 60px 0 20px;
}

.footer-content {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 40px;
    margin-bottom: 40px;
}

.footer-section img{
    width: 150px;
}
.footer-section h4 {
    margin-bottom: 20px;
    color: var(--primary-color);
}

.footer-section p {
    margin-bottom: 10px;
}

.footer-bottom {
    text-align: center;
    padding-top: 20px;
    border-top: 1px solid #333;
}

.footer-bottom p a {
    text-decoration: none;
    color: white;
}



/* Responsive */
@media (max-width: 768px) {
    .hamburger {
        display: flex;
    }
    
    .nav-menu {
        position: fixed;
        left: -100%;
        top: 70px;
        flex-direction: column;
        background-color: var(--white);
        width: 100%;
        text-align: center;
        transition: 0.3s;
        box-shadow: 0 10px 27px rgba(0,0,0,0.05);
        padding: 20px 0;
    }
    
    .nav-menu.active {
        left: 0;
    }
    
    .hero-content h1 {
        font-size: 2.5rem;
    }
    
    .hero-content p {
        font-size: 1.1rem;
    }
    
    .services-grid {
        grid-template-columns: 1fr;
    }
    
    .quem .flex {
        display: block;
    }

    .quem {
        text-align: center;
    }

    .quem-sub {
        text-align: left;
    }

    .visao .flex {
        display: block;
    } 

    .visao-sub {
        margin-bottom: 50px;
    }

    .diretor .flex {
        flex-direction: column-reverse;
    }

    .diretor { 
        text-align: center;
    }

    .diretor-sub {
        text-align: left;
    }

    .oficial {
        text-align: center;  
        gap: 10px; 
    }

    .oficial .flex {
        display: block;
        align-items: center;
    }

    .footer-content {
        grid-template-columns: 1fr;
        text-align: center;
    }
}